Create video generation
Luma GoAmz-compatible · create video generation (POST /luma/v1/generations).
POST
/luma/v1/generationsBody Parametersapplication/json
aspect_ratio string
Aspect ratio, e.g. 16:9, 9:16, 1:1
expand_prompt boolean
Whether to expand the prompt
image_url string
Starting frame image URL
loop boolean
Whether to loop
user_prompt* string
Video description
Responses
200 OK application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"user_prompt": "string"
3}
1curl -X POST "https://api.digislash.com/luma/v1/generations" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"user_prompt": "string"
6}'
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}
